#include "irqhandler.h"
#include "lib_wdt.h"
#include "systick.h"
#include "main.h"

extern uint8_t g_sleep_flag;

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1)
    {
    }
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{
    TimingDelay_Decrement();
}

void PINT0_IRQHandler(void)
{
    if (PINT_GetITStatus(PINT_IT_PINT0) == SET)
        PINT_ClearITPendingBit(PINT_IT_PINT0);
}

void KINT_IRQHandler(void)
{
    if (KINT_GetITFlag(GPIOA, GPIO_Pin_3) == SET)
        KINT_ClearITFlag(GPIOA, GPIO_Pin_3);
}

void LVD_IRQHandler(void)
{

}

void IWDT_IRQHandler(void)
{

}


